; MODUL INCLHARD PRO PLC PROGRAM

;IN_PORT_MUX_1           EQU     0A0H    ; PREPINANE VSTUPY 1     
;IN_PORT_MUX_2           EQU     0A1H    ; PREPINANE VSTUPY 2

;RIDICI SLOVA PRO MH107
CONTROL_107            EQU	010H	; normalni rezim
CONTROL_107_RES        EQU	090H	; reset citace
CONTROL_107_MD         EQU	012H	; merici sonda
CONTROL_107_NI         EQU	011H	; nulovani od nul.pulsu
STATUS_107_CHNI        EQU	040H	; chyba nastaveni polohy
STATUS_107_CHVG        EQU	020H	; chyba sign. V,G
STATUS_107_MD          EQU	002H	; signal od MD
STATUS_107_NI          EQU	001H	; zachycena NI

;PORTY SOURADNIC SU02
PORT_OSA_VR_LOW	        EQU	02EH	; ADRESA VYST. NAPETI LOW VRETENA
PORT_OSA_VR_HIGH        EQU	02AH	; ADRESA VYST. NAPETI HIGH VRETENA
PORT_OSA_VR_STAV        EQU	028H	; ADRESA STATUSU VRETENA
PORT_IRC_VR_LOW         EQU	029H	; ADRESA SNIMANI IRC LOW VRETENE
PORT_IRC_VR_HIGH        EQU	029H	; ADRESA SNIMANI IRC HIGH VRETENE
PORT_RESET_VR           EQU	02CH	; RESET NASOBICEK

PORT_OSA_X_LOW          EQU	006H	; ADRESA VYST. NAPETI LOW OSA X
PORT_OSA_X_HIGH         EQU	002H	; ADRESA VYST. NAPETI HIGH OSA X
PORT_OSA_X_STAV         EQU	000H	; ADRESA STATUSU PRO OSU X
PORT_IRC_X_LOW          EQU	001H	; ADRESA SNIMANI IRC LOW OSA X
PORT_IRC_X_HIGH         EQU	001H	; ADRESA SNIMANI IRC HIGH OSA X
PORT_RESET_X            EQU	004H	; RESET NASOBICEK

PORT_OSA_Y_LOW          EQU	00EH	; ADRESA VYST. NAPETI LOW OSA Y
PORT_OSA_Y_HIGH         EQU	00AH	; ADRESA VYST. NAPETI HIGH OSA Y
PORT_OSA_Y_STAV         EQU	008H	; ADRESA STATUSU PRO OSU Y
PORT_IRC_Y_LOW          EQU	009H	; ADRESA SNIMANI IRC LOW OSA Y
PORT_IRC_Y_HIGH         EQU	009H	; ADRESA SNIMANI IRC HIGH OSA Y
PORT_RESET_Y            EQU	00CH	; RESET NASOBICEK

PORT_OSA_Z_LOW          EQU	016H	; ADRESA VYST. NAPETI LOW OSA Z
PORT_OSA_Z_HIGH         EQU	012H	; ADRESA VYST. NAPETI HIGH OSA Z
PORT_OSA_Z_STAV         EQU	010H	; ADRESA STATUSU PRO OSU Z
PORT_IRC_Z_LOW          EQU	011H	; ADRESA SNIMANI IRC LOW OSA Z
PORT_IRC_Z_HIGH         EQU	011H	; ADRESA SNIMANI IRC HIGH OSA Z;
PORT_RESET_Z            EQU	014H	; RESET NASOBICEK

PORT_OSA_4_LOW          EQU	026H	; ADRESA VYST. NAPETI LOW OSA 4
PORT_OSA_4_HIGH         EQU	022H	; ADRESA VYST. NAPETI HIGH OSA 4
PORT_OSA_4_STAV         EQU	020H	; ADRESA STATUSU PRO OSU 4
PORT_IRC_4_LOW          EQU	021H	; ADRESA SNIMANI IRC LOW OSA 4
PORT_IRC_4_HIGH         EQU	021H	; ADRESA SNIMANI IRC HIGH OSA 4
PORT_RESET_4            EQU	024H	; RESET NASOBICEK

PORT_OSA_5_LOW          EQU	02EH	; ADRESA VYST. NAPETI LOW OSA 5
PORT_OSA_5_HIGH	        EQU	02AH	; ADRESA VYST. NAPETI HIGH OSA 5
PORT_OSA_5_STAV         EQU	028H	; ADRESA STATUSU PRO OSU 5
PORT_IRC_5_LOW          EQU	029H	; ADRESA SNIMANI IRC LOW OSA 5
PORT_IRC_5_HIGH         EQU	029H	; ADRESA SNIMANI IRC HIGH OSA 5
PORT_RESET_5            EQU	02CH	; RESET NASOBICEK

PORT_OSA_6_LOW          EQU	036H	; ADRESA VYST. NAPETI LOW OSA 6
PORT_OSA_6_HIGH         EQU	032H	; ADRESA VYST. NAPETI HIGH OSA 6
PORT_OSA_6_STAV         EQU	030H	; ADRESA STATUSU PRO OSU 6
PORT_IRC_6_LOW          EQU	031H	; ADRESA SNIMANI IRC LOW OSA 6
PORT_IRC_6_HIGH         EQU	031H	; ADRESA SNIMANI IRC HIGH OSA 6
PORT_RESET_6            EQU	034H	; RESET NASOBICEK

PORT_OSA_TOC_LOW        EQU	01EH	; ADRESA VYST. NAPETI LOW OSA 5
PORT_OSA_TOC_HIGH       EQU	01AH	; ADRESA VYST. NAPETI HIGH OSA 5
PORT_TOC_STAV           EQU	018H	; ADRESA STATUSU PRO TOCITKO
PORT_TOC_LOW            EQU	019H	; ADRESA SNIMANI IRC LOW TOCITKA
PORT_TOC_HIGH           EQU	019H	; ADRESA SNIMANI IRC HIGH TOCITKA
PORT_RESET_TOC          EQU	01CH	; RESET NASOBICEK


; ************** Pro pohon YASKAWA ************

PORT_OSA_X4             EQU     000H    ; BASE 1. AZ 4. OSY
;PORT_OSA_58            EQU     010H    ; BASE 5. AZ 8. OSY

PORT_OSA_CONTROL	EQU	000H	; RIDICI VYSTUP 
PORT_OSA_DATA   	EQU	001H	; DATOVY VYSTUP
PORT_OSA_STATUS         EQU	000H	; VSTUP STAVU DESKY 
PORT_OSA_INPUT          EQU	001H	; VSTUP SIGNALU Z POHONU 

